Solved FreeBSD 13 Apache24 breaks with PHP 8

eepete

New Member

Reaction score: 8
Messages: 10

I've been unable to find anything on this. I had Apache running just fine with PHP 7.4.25 When I upgraded to PHP 8, I could not get the LoadModule for php8 to load (or find it).
FreeBSD Version: 13.0-RELEASE
Apache24 Version: Apache/2.4.51 (FreeBSD)
PHP Version: PHP 8.0.12 (cli) (built: Oct 24 2021 01:19:09) ( NTS )

The entry in httpd.conf that used to work:
Code:
LoadModule php7_module        libexec/apache24/libphp7.so
I also installed the following package, but don't know where it ended up or how to "point" apache to it:
Code:
pkg install mod_php80
Spending the day trying to figure this out, it seems that PHP 8 made major changes in where and how the LoadModule functionality is done. Lots of partial answers out there but no clear "Here's how to make it work". This seem like it should be a common problem ? TIA
 

Alain De Vos

Son of Beastie

Reaction score: 869
Messages: 2,826

I seem to have a line
Code:
LoadModule php_module         libexec/apache24/libphp.so


pkg which /usr/local/libexec/apache24/libphp.so
Code:
/usr/local/libexec/apache24/libphp.so was installed by package mod_php80-8.0.12
 
OP
E

eepete

New Member

Reaction score: 8
Messages: 10

That got it, Thanks !
Didn't think to/know to give the full pathname to the "pkg which". Dropping the major version number confuses things, at least for me...
 
Top